Skip to main content
Formalingo

API Reference

Complete machine-readable API specification.

API Reference

The full OpenAPI 3.1 specification is available at:

GET /api/v1/openapi.json

You can import this into:

  • Postman — Import → URL → paste https://formalingo.com/api/v1/openapi.json
  • Insomnia — Import → From URL
  • Swagger UI — Paste the URL into editor.swagger.io
  • Speakeasy / Stainless — For SDK generation

Auto-generated reference

The API reference pages in this docs site are auto-generated from the OpenAPI spec. Run the generation script to update them:

npm run docs:generate

This updates all pages in /content/docs/api-reference/ without touching handwritten guide pages.

Quick reference

Authentication

Authorization: Bearer af_live_YOUR_KEY

Base URL

https://formalingo.com/api/v1

Forms

MethodPathScope
GET/api/v1/formsread:forms
POST/api/v1/formswrite:forms
GET/api/v1/forms/{id}read:forms
PUT/api/v1/forms/{id}write:forms
DELETE/api/v1/forms/{id}delete:forms
GET/api/v1/forms/{id}/sectionsread:forms
POST/api/v1/forms/{id}/sectionswrite:forms
GET/api/v1/forms/{id}/questionsread:forms
POST/api/v1/forms/{id}/questionswrite:forms
GET/api/v1/forms/{id}/recipientsread:recipients
POST/api/v1/forms/{id}/recipientswrite:recipients
DELETE/api/v1/forms/{id}/recipients/{rid}delete:recipients

Documents

MethodPathScope
GET/api/v1/documentsread:documents
POST/api/v1/documentswrite:documents
GET/api/v1/documents/{id}read:documents
PUT/api/v1/documents/{id}write:documents
DELETE/api/v1/documents/{id}delete:documents
GET/api/v1/documents/{id}/fieldsread:documents
POST/api/v1/documents/{id}/fieldswrite:documents
GET/api/v1/documents/{id}/signer-rolesread:documents
POST/api/v1/documents/{id}/signer-roleswrite:documents
GET/api/v1/documents/{id}/submissionsread:submissions
POST/api/v1/documents/{id}/submissionswrite:submissions

On this page